%define		package	CssSelector
%define		php_min_version 5.3.9
%include	/usr/lib/rpm/macros.php
Summary:	Symfony2 CssSelector Component
Name:		php-symfony2-CssSelector
Version:	2.7.5
Release:	1
License:	MIT
Group:		Development/Languages/PHP
Source0:	https://github.com/symfony/%{package}/archive/v%{version}/%{package}-%{version}.tar.gz
# Source0-md5:	b60cb748ddae510188707e4bbd743651
URL:		http://symfony.com/doc/2.7/components/css_selector.html
BuildRequires:	phpab
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.610
Requires:	php(core) >= %{php_min_version}
Requires:	php(mbstring)
Requires:	php(pcre)
Requires:	php(spl)
Requires:	php-pear >= 4:1.3.10
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The CssSelector Component converts CSS selectors to XPath expressions.

%prep
%setup -q -n css-selector-%{version}

%build
phpab -n -e '*/Tests/*' -o autoloader.php .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}/Symfony/Component/%{package}
cp -a *.php */ $RPM_BUILD_ROOT%{php_pear_dir}/Symfony/Component/%{package}
rm -r $RPM_BUILD_ROOT%{php_pear_dir}/Symfony/Component/%{package}/Tests

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.md LICENSE README.md
%dir %{php_pear_dir}/Symfony/Component/CssSelector
%{php_pear_dir}/Symfony/Component/CssSelector/*.php
%{php_pear_dir}/Symfony/Component/CssSelector/Exception
%{php_pear_dir}/Symfony/Component/CssSelector/Node
%{php_pear_dir}/Symfony/Component/CssSelector/Parser
%{php_pear_dir}/Symfony/Component/CssSelector/XPath
%changelog
* Sun Oct 04 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-symfony2-CssSelector.git;a=log;h=auto/th/php-symfony2-CssSelector-2.7.5-1

* Fri Oct 02 2015 Elan Ruusamäe <glen@delfi.ee> 91cb03e
- up to 2.7.5

* Thu Aug 06 2015 Elan Ruusamäe <glen@delfi.ee> 1e00f68
- up to 2.7.3-lts

* Thu Aug 07 2014 Elan Ruusamäe <glen@delfi.ee> bc8293e
- use autoloader.php as autoload bootstrap

* Thu Aug 07 2014 Elan Ruusamäe <glen@delfi.ee> 0e6af84
- restore description. lost in 0d0b65

* Mon Aug 04 2014 Elan Ruusamäe <glen@delfi.ee> c693e80
- cleanups, unify

* Mon Aug 04 2014 Elan Ruusamäe <glen@delfi.ee> 0d0b658
- up to 2.4.8, use github source

* Thu Jul 17 2014 Elan Ruusamäe <glen@delfi.ee> ee5bd77
- up to 2.4.4

* Fri Apr 11 2014 Elan Ruusamäe <glen@delfi.ee> 97151c3
- update url

* Fri Apr 11 2014 Elan Ruusamäe <glen@delfi.ee> 05b22e2
- up to 2.4.3

* Mon Sep 23 2013 Elan Ruusamäe <glen@delfi.ee> e4f8613
- up to 2.3.4

* Thu Jan 17 2013 Elan Ruusamäe <glen@delfi.ee> 47a26ab
- up to 2.1.6

* Wed Dec 19 2012 Elan Ruusamäe <glen@delfi.ee> de574f4
- more specific url

* Wed Dec 19 2012 Elan Ruusamäe <glen@delfi.ee> 21c13ad
- initial add. version 2.1.4

